Download it now!
Bug 132174 - FILEOPEN DOCX: Chart shows wrong label formatting (decimal instead of prcentage)
Summary: FILEOPEN DOCX: Chart shows wrong label formatting (decimal instead of prcentage)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2020-04-17 07:53 UTC by Leeroy Lindenborough
Modified: 2020-04-28 12:57 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Chart extracted with WPS Office from a .docx authored in Microsoft Word (13.54 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-04-17 07:58 UTC, Leeroy Lindenborough
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leeroy Lindenborough 2020-04-17 07:53:29 UTC
Description:
When opening a .docx Word document in LibreOffice Writer the chart labels are formatted differently from every other Office Suite.

LibreOffice Writer: 0.63
Microsoft Word: 63%
WPS Office: 63%
Google Docs / Google Drive preview: 63%
Dropbox document preview: 63%

Expected behavior: Show what the .docx author saw, labels formatted as percentages

This didn't happen before. Unfortunately I can't tell when this bug was introduced.

Thanks!

Steps to Reproduce:
1. Open .docx authored in something other than LibreOffice, containing a chart

Actual Results:
Chart label formatting appears different from source document and how other office suites would render it

Expected Results:
Show what the .docx author saw, labels formatted as percentages.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Sample test document also available at https://www.dropbox.com/s/kds0bx3m68vbh1b/test-charts.docx?dl=0
Comment 1 Leeroy Lindenborough 2020-04-17 07:58:40 UTC
Created attachment 159648 [details]
Chart extracted with WPS Office from a .docx authored in Microsoft Word

It was necessary to use another Office suite to prepare this sample.

If I opened a .docx in LibreOffice Writer and tried to copy a chart with the incorrectly displaying labels to a new Writer document, upon opening again the  bug would have caused the labels to show up as raw numbers. 1.034123141 instead of 103%.
Comment 2 Dieter 2020-04-20 06:07:16 UTC
I confirm it with document from comment 0 and

Version: 7.0.0.0.alpha0+ (x64)
Build ID: 1c9ced04189c9d23ffea05d5570960b54b05ef28
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: CL

and also with

Version: 6.3.5.2 (x64)
Build-ID: dd0751754f11728f69b42ee2af66670068624673
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

but not with

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 3 NISZ LibreOffice Team 2020-04-21 12:53:44 UTC
Was good in:

Verzió: 6.3.0.4 (x86)
Build az.: 057fc023c990d676a43019934386b85b21a9ee99
CPU szálak: 4; OS: Windows 6.3; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL

But not in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: alapértelmezett; VCL: win; 
Területi beállítások: hu-HU (hu_HU); Felület nyelve: hu-HU
Calc: CL
Comment 4 NISZ LibreOffice Team 2020-04-21 13:11:01 UTC
Bibisected with bibisect-win64-6.4 to: 

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9c1063ba13028244346528e307d5563d6faf949d

author	Balazs Varga <balazs.varga991@gmail.com>	2019-12-10 12:53:08 +0100
committer	Xisco Faulí <xiscofauli@libreoffice.org>	2019-12-17 11:34:33 +0100

tdf#129173 tdf#129175 Fix number format of data labels
Comment 5 Commit Notification 2020-04-24 14:00:48 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/e0da00d655ecca5986eea3812a8a670c6adbc40f

tdf#132174 Chart DOCX import: fix label number format

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-04-28 10:40:18 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: 4ba1909f12b49f020195b5e767045340717ce6df
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 7 Commit Notification 2020-04-28 12:57:55 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d1466728e243b706d4fae2c5eeef2ee867ec4a89

tdf#132174 Chart DOCX import: fix label number format

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.